Texa DeskDevelopers

Client API · Messages

Update a message

PATCH/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/messages/{message_id}

Path parameters

inbox_identifierstringrequired

The identifier obtained from API inbox channel

contact_identifierstringrequired

The source id of contact obtained on contact create

conversation_idintegerrequired

The numeric ID of the conversation

message_idintegerrequired

The numeric ID of the message

Body application/json

submitted_valuesobject

Replies to the Bot Message Types

submitted_values.namestring

The name of the submiitted value

submitted_values.titlestring

The title of the submitted value

submitted_values.valuestring

The value of the submitted value

submitted_values.csat_survey_responseobject

The CSAT survey response

submitted_values.csat_survey_response.feedback_messagestring

The feedback message of the CSAT survey response

submitted_values.csat_survey_response.ratinginteger

The rating of the CSAT survey response

Responses

200

Success

idinteger

Id of the message

contentstring

Text content of the message. Can be null for attachment-only messages.

message_typeinteger

Denotes the message type. Possible values: 0 (incoming), 1 (outgoing), 2 (activity), 3 (template)

content_typestring

Content type of the message

content_attributesobject

Additional content attributes of the message

created_atinteger

Created at Unix timestamp of the message

conversation_idinteger

Display Id of the conversation the message belongs to

attachmentsarray of object

Attachments if any

attachments[].idinteger

Id of the attachment

attachments[].message_idinteger

Id of the parent message

attachments[].file_typestring

Type of the attached file One of: image, audio, video, file, location, fallback, share, story_mention, contact, ig_reel, ig_post, ig_story, embed.

attachments[].account_idinteger

Id of the account

attachments[].extensionstring

File extension

attachments[].data_urlstring

URL of the file. Can be null when an attachment variant has no external URL.

attachments[].thumb_urlstring

URL of the file thumbnail

attachments[].file_sizeinteger

File size in bytes

attachments[].widthinteger

Width of the attachment when available

attachments[].heightinteger

Height of the attachment when available

attachments[].coordinates_latnumber

Latitude for location attachments

attachments[].coordinates_longnumber

Longitude for location attachments

attachments[].fallback_titlestring

Fallback title for location, fallback, and contact attachments when available

attachments[].metaobject

Metadata for contact attachments

attachments[].transcribed_textstring

Transcribed text for audio attachments

senderobject

Polymorphic sender payload returned by push_event_data. Available fields vary by sender type.

sender.idinteger

Id of the sender

sender.namestring

Name of the sender when available

sender.thumbnailstring

Avatar/thumbnail URL of the sender. Contact senders use this field; user senders may also include it.

sender.typestring

Type of the sender One of: contact, user, agent_bot.

sender.available_namestring

Display name for user senders

sender.availability_statusstring

Availability status for user senders

sender.emailstring

Email of the sender when the sender is a contact

sender.phone_numberstring

Phone number of the sender when the sender is a contact

sender.identifierstring

Identifier of the sender when the sender is a contact

sender.blockedboolean

Whether the sender is blocked when the sender is a contact

sender.additional_attributesobject

Additional attributes when the sender is a contact and available

sender.custom_attributesobject

Custom attributes when the sender is a contact and available

401

Unauthorized

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring